/****************************************************
function pegarValor(id)
	Dado id (string) de um elemento HTML, retorna
	o valor do mesmo se possuir a propriedade valor,
	caso contrário retorna o conteúdo dentro da tag
****************************************************/
function pegarValor(id) {
	var elemento = document.getElementById(id);
	if (elemento) {
		return elemento.value || elemento.innerHTML;
	} else {
		return undefined;
	}
}

/****************************************************
function pegarValorInteiro(id)
	Dado id (string) de um elemento HTML, invoca a
	função pegarValor e retorna seu resultado como um
	inteiro
****************************************************/
function pegarValorInteiro(id) {
	return parseInt( pegarValor(id) );
}

/****************************************************
function pegarValorReal(id)
	Dado id (string) de um elemento HTML, invoca a
	função pegarValor e retorna seu resultado como um
	real
****************************************************/
function pegarValorReal(id) {
	return parseFloat( pegarValor(id) );
}

/****************************************************
function recalcular(x)
	Dado x (string ou número), calcula o novo subtotal
	para a linha correspondente x, soma todos os
	subtotais e atualiza o valor de total
****************************************************/
function recalcular(x) {
	document.getElementById("subtotal"+x).innerHTML = pegarValorReal("preco"+x) * pegarValorInteiro("quantidade"+x);
	var somatorio = 0;
	for (var i = 1; i <= 5; i++) {
		somatorio += pegarValorReal("subtotal"+i);
	}
	total.innerHTML = somatorio.toFixed(2);
}